Skip to main content
GET
/
message_receipt
Get email disposition
curl --request GET \
  --url https://api.paubox.net/v1/{api_username}/message_receipt \
  --header 'Authorization: <api-key>'
{
  "sourceTrackingId": "6e1cf9a4-7bde-4834-8200-ed424b50c8a7",
  "data": {
    "message": {
      "id": "<f4a9b518-439c-497d-b87f-dfc9cc19194b@authorized_domain.com>",
      "message_deliveries": [
        {
          "recipient": "recipient@host.com",
          "status": {
            "deliveryStatus": "delivered",
            "deliveryTime": "Mon, 23 Apr 2018 13:27:34 -0700",
            "openedStatus": "opened",
            "openedTime": "Mon, 23 Apr 2018 13:27:51 -0700"
          }
        }
      ],
      "total_opens": 1,
      "distinct_opens": 1,
      "total_click_count": 2,
      "clicks_per_link": [
        {
          "click_count": 1,
          "target_url": "amazon.com"
        },
        {
          "click_count": 1,
          "target_url": "ebay.com"
        }
      ],
      "unsubscribed": false
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.paubox.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Paubox API uses a custom token format in the Authorization header.

IMPORTANT: You must prefix your API key with "Token token="

Format: Authorization: Token token=YOUR_API_KEY_HERE

Example: Authorization: Token token=9e5b092b632445b8f570c62ae54f30fda1044305

Do NOT use just the API key alone or Bearer token format.

Query Parameters

sourceTrackingId
string<uuid>
required

The tracking ID returned when the message was sent

Example:

"6e1cf9a4-7bde-4834-8200-ed424b50c8a7"

Response

Message disposition data

sourceTrackingId
string
required

The tracking ID for the message

Example:

"6e1cf9a4-7bde-4834-8200-ed424b50c8a7"

data
object
required